Bug 76224 - Man page error: options --nopgp and --nogpg not supported
Summary: Man page error: options --nopgp and --nogpg not supported
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-18 12:38 UTC by Reiner Buehl
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-02 12:48:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Reiner Buehl 2002-10-18 12:38:15 UTC
Description of problem:
The man page describes the command line options --nopgp and --nogpg for rpm --
checksig. If used, rpm fails with "--nopgp: unknown option"

Version-Release number of selected component (if applicable):
rpm-4.1-1.06

How reproducible:
Always

Steps to Reproduce:
rpm --checksig --nopgp <Package File>
rpm --checksig --noggp <Package File>

Actual Results:  --nopgp: unknown option
--noggp: unknown option

Expected Results:  Man page should not list the options or the option should 
work

Additional info:

Same issue was already reported as Bug #65494 in Rawhide but the bug report was 
closed without fixing either documentation or executable.

Comment 1 Jeff Johnson 2002-10-21 12:45:51 UTC
The documentation will be fixed in rpm-4.2.

Meanwhile, the options --nogpg and --nopgp
have been replace by --nosignature.



Comment 2 Giuseppe Raimondi 2002-12-02 12:48:06 UTC
I don't know if this is the right place to point this out, but the documentation
in the errata for 8.0 in our webpages should be amended. they still contain the
--nogpg option to test the rpms.
see 
https://rhn.redhat.com/errata/RHSA-2002-266.html


Comment 3 Jeff Johnson 2002-12-02 15:04:49 UTC
Probably, but this ain't the place to get that fixed.


Note You need to log in before you can comment on or make changes to this bug.